package io.renren.modules.app.service;

import com.baomidou.mybatisplus.service.IService;
import com.github.pagehelper.PageInfo;
import io.renren.modules.app.entity.XqxxEntity;
import io.renren.modules.app.entity.XqxxEntity2;

/**
 * 小区信息
 *
 * @author ly
 * @email 1271428398@qq.com
 * @date 2019-03-26 09:32:11
 */
public interface XqxxService extends IService<XqxxEntity> {

	// GIS查询小区所有信息
	PageInfo<XqxxEntity> queryGisZs();

	/**
	 * 分页模糊查询
	 * 
	 * @param pageNum
	 * @param pageSize
	 * @param xqxxEntity
	 * @return
	 */
	PageInfo<XqxxEntity2> queryByPage(Integer pageNum, Integer pageSize, XqxxEntity xqxxEntity);

	String queryxqbm();

	/**
	 * 单个或批量删除
	 * 
	 * @param ids
	 */
	void deleteBatch(String[] ids);
}
